## Script for kapitel 12: Bayesiansk statistik af Mads Dagnis Jensen med bayesiansk idealpunktsesteming som eksempel 
## Installering af pscl-pakken
install.packages("pscl")
## Installering af coda-pakken
install.packages("coda")
## Indlsning af pscl-pakken
library(pscl)
library(coda)
## Indlsning af indbygget datast for det 109ende amerikanske senat
data(s109)
## Overblik over datasttet
summary(s109)
## Overblik over hvad de enkelte senatorer har stemt
summary(s109,verbose=TRUE)
## Identifikation af senatorernes idealpunkter i et endimensionelt politisk rum
id1 <- ideal(s109, d=1, normalize=TRUE, store.item=TRUE, maxiter=5000, burnin=500, thin=25)
## Overblik over idealpunktsestemering i et endimensionelt politisk rum
summary(id1)
## Grafisk overblik over idealpunktsestemering i et endimensionelt politisk rum
plot(id1)
## Identifikation af senatorernes idealpunkter i et todimensionelt politisk rum
id2 <- ideal(s109, d=2, normalize=TRUE, store.item=TRUE, maxiter=5000, burnin=500, thin=25)
## Overblik over idealpunktsestemering i et todimensionelt politisk rum
summary(id2)
## Grafisk overblik over idealpunktsestemering i et todimensionelt politisk rum
plot(id2)
## Grafisk overblik over idealpunktsestemering i et todimensionelt politisk rum med lovspecifikke lovspecifikke skringstykker 
plot(id2,overlayCuttingPlanes=TRUE)
## Indlgges af priors ved. senatorernes idealpunkter i et todimensionelt politisk rum 
cl2 <- constrain.legis(s109, x=list("KENNEDY"=c(-1,0), "DEMINT"=c(1,0), "CHAFEE"=c(0,-.5)),d=2) 
## Identifikation af senatorernes idealpunkter i et todimensionelt politisk rum med de indlagte priors
id2Constrained <- ideal(s109, d=2, priors=cl2, startvals=cl2, store.item=TRUE, maxiter=5000, burnin=500, thin=25)
## Overblik over idealpunktsestemering i et todimensionelt politisk rum med priors 
summary(id2Constrained)
## Grafisk overblik over idealpunktsestemering i et todimensionelt politisk rum med priors
plot(id2Constrained)