set more off
clear all



global path ""

cap log close
log using "${path}/log/300_IIA_test.log", replace

cap log close logl
log using "${path}/out/300_IIA_test.log", name(logl) replace
log off logl

********************************************************************************
*     300_IIA_test.do           START
********************************************************************************

use "${path}/work\200_reg_data.dta", clear

********************************************************************************
* Datast til statistikker
********************************************************************************
preserve

clear all

set obs 1

gen base=.
gen udel=.
gen df  =.
gen chi2=.
gen pval=.

drop if _n==1

tempfile stat
save    `stat'

sum

restore

********************************************************************************
* Base er 1 (Rd blok), 2 udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(1)
estimates store alle

gen aiidum = parti != 2
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if parti!= 2, base(1)
estimates store partiel

suest partiel alle

test ///
([partiel_3_H_ori]1.kvind=[alle_3_H_ori]1.kvind) ///
([partiel_3_H_ori]alder  =[alle_3_H_ori]alder)   ///
([partiel_3_H_ori]alde2  =[alle_3_H_ori]alde2)   ///
([partiel_3_H_ori]_cons  =[alle_3_H_ori]_cons)

preserve

clear

set obs 1

gen base=1
gen udel=2
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

********************************************************************************
* Base er 1 (Rd blok), 3 udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(1)
estimates store alle

drop aiidum
gen aiidum = parti != 3
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if aiidum, base(1)
estimates store partiel

*hausman partiel alle, alleqs

suest partiel alle
test ///
([partiel_2_Centru]1.kvind=[alle_2_Centru]1.kvind) ///
([partiel_2_Centru]alder  =[alle_2_Centru]alder)   ///
([partiel_2_Centru]alde2  =[alle_2_Centru]alde2)   ///
([partiel_2_Centru]_cons  =[alle_2_Centru]_cons)

preserve

clear

set obs 1

gen base=1
gen udel=3
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

********************************************************************************
* Base er 2 (Centrum), 1 er udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(2)
estimates store alle

drop aiidum
gen aiidum = parti != 1
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if parti!=1, base(2)
estimates store partiel

*hausman partiel alle, alleqs

suest partiel alle

test ///
([partiel_3_H_ori]1.kvind=[alle_3_H_ori]1.kvind) ///
([partiel_3_H_ori]alder  =[alle_3_H_ori]alder)   ///
([partiel_3_H_ori]alde2  =[alle_3_H_ori]alde2)   ///
([partiel_3_H_ori]_cons  =[alle_3_H_ori]_cons)

preserve

clear

set obs 1

gen base=2
gen udel=1
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

********************************************************************************
* Base er 2 (Centrum), 3 er udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(2)
estimates store alle

drop aiidum
gen aiidum = parti != 3
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if parti!=3, base(2)
estimates store partiel

*hausman partiel alle, alleqs

suest partiel alle
test ///
([partiel_1_Ve_ori]1.kvind=[alle_1_Ve_ori]1.kvind) ///
([partiel_1_Ve_ori]alder  =[alle_1_Ve_ori]alder)   ///
([partiel_1_Ve_ori]alde2  =[alle_1_Ve_ori]alde2)   ///
([partiel_1_Ve_ori]_cons  =[alle_1_Ve_ori]_cons)

preserve

clear

set obs 1

gen base=2
gen udel=3
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

********************************************************************************
* Base er 3 (Bl blok), 1 udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(3)
estimates store alle

drop aiidum
gen aiidum = parti != 1
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if parti!=1, base(3)
estimates store partiel

*hausman partiel alle, alleqs

suest partiel alle
test ///
([partiel_2_Centru]1.kvind=[alle_2_Centru]1.kvind) ///
([partiel_2_Centru]alder  =[alle_2_Centru]alder)   ///
([partiel_2_Centru]alde2  =[alle_2_Centru]alde2)   ///
([partiel_2_Centru]_cons  =[alle_2_Centru]_cons)

preserve

clear

set obs 1

gen base=3
gen udel=1
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

********************************************************************************
* Base er 3 (Bl blok), 2 er udeladt
********************************************************************************

mlogit parti i.kvind alder alde2, base(3)
estimates store alle

drop aiidum
gen aiidum = parti!=2
tab parti aiidum, miss

mlogit parti i.kvind alder alde2 if parti!=2, base(3)
estimates store partiel

*hausman partiel alle, alleqs

suest partiel alle
test ///
([partiel_1_Ve_ori]1.kvind=[alle_1_Ve_ori]1.kvind) ///
([partiel_1_Ve_ori]alder  =[alle_1_Ve_ori]alder)   ///
([partiel_1_Ve_ori]alde2  =[alle_1_Ve_ori]alde2)   ///
([partiel_1_Ve_ori]_cons  =[alle_1_Ve_ori]_cons)

preserve

clear

set obs 1

gen base=3
gen udel=2
gen df  =r(df)
gen chi2=r(chi2)
gen pval=r(p)

tempfile a
save    `a'

restore

preserve

use `stat', clear
append using `a'
save `stat', replace
*list

restore

***********************************************************************************
* Statistikker
***********************************************************************************

use `stat', clear

sort udel base

list, sep(2)

***********************************************************************************
*     300_IIA_test.do           END
***********************************************************************************
cap log close
